"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const basicTemplate = {
    name: 'basic',
    dependencies: ['husky', 'lujc', 'tslib', 'typescript'],
    packageJson: {
        // name: safeName,
        version: '0.1.0',
        license: 'MIT',
        // author: author,
        main: './dist/index.cjs',
        module: './dist/index.mjs',
        exports: {
            './package.json': './package.json',
            '.': {
                import: './dist/index.mjs',
                require: './dist/index.cjs',
            },
        },
        // module: `dist/${safeName}.mjs`,
        typings: `dist/index.d.ts`,
        files: ['dist', 'src'],
        engines: {
            node: '>=14',
        },
        scripts: {
            start: 'lujc watch',
            build: 'lujc build',
            test: 'lujc test',
            posttest: 'node test/import.mjs && node test/require.cjs',
            lint: 'lujc lint',
            prepare: 'lujc build',
        },
        peerDependencies: {},
        husky: {
            hooks: {
                'pre-commit': 'lujc lint',
            },
        },
        prettier: {
            printWidth: 80,
            semi: true,
            singleQuote: true,
            trailingComma: 'es5',
        },
    },
};
exports.default = basicTemplate;
